YouTube Transcript API

Get publicly available captions or a transcript from a YouTube video or Short

1 creditper request
GET
/v1/youtube/video/transcript
curl "https://api.scrapecreators.com/v1/youtube/video/transcript" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 1000000,
  "credits_charged": 1,
  "videoId": "bjVIDXPP7Uk",
  "type": "video",
  "url": "https://www.youtube.com/watch?v=bjVIDXPP7Uk",
  "transcript": [
    {
      "text": "welcome back to the hell farm and the",
      "startMs": "160",
      "endMs": "1920",
      "startTimeText": "0:00"
    },
    {
      "text": "backyard trails we built these jumps two",
      "startMs": "1920",
      "endMs": "3919",
      "startTimeText": "0:01"
    }
  ],
  "transcript_only_text": "welcome back to the hell farm and the backyard trails we built these jumps two years ago and last year we just kind of rebuilt them and this year......",
  "language": "English"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

YouTube video or short URL

Example:
https://www.youtube.com/watch?v=bjVIDXPP7Uk
language
string

2 letter language code, ie 'en', 'es', 'fr' etc. If the transcript is not available in the language you specify, the transcript will be null.

Example:
en
cache_max_age
string

If we have a response in the cache that is this many days old or newer, return the cached response (0 credits, with "cached": true and a "cached_at" timestamp). Otherwise, scrape a live result (1 credit). See the Caching page for details.

Example:
7d
Available options:
1d,
3d,
7d,
14d,
30d